# I love OpenSource :-(

%define name unicorn
%define version 0.9.3
%define mdkrelease 8
%define release %mkrel %{mdkrelease}

Summary:	unicorn utility for BeWan Architecture support
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	unicorn-%{version}.tar.bz2
Source1:	module_param.patch
Source2:	dkms-unicorn-update-irq-flags.patch
Source3:	dkms-unicorn-SET_MODULE_OWNER-removal.patch
Source4:	dkms-unicorn-urb-lock-removal.patch
Source5:	dkms-unicorn-update-int-handler-definition.patch
#Patch0:		maxpacket.patch.bz2
#Patch0:		unicorn-0.8.7-fno-gnu-linker.patch.bz2
Patch1:		unicorn-0.9.0-kernel26-spinlock.patch
Patch2:		unicorn-0.9.3-smp.patch
Patch3:		unicorn-0.9.3-kernel2.6.22.patch
Patch4:		unicorn-0.9.3-build.patch
License:	BeWan 2004
Group:		System/Kernel and hardware
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gtk-devel, automake1.4

%description -n %{name}
BeWan Architecture utility.

%package -n dkms-%{name}
Summary:	unicorn kernel module for BeWan Architecture support
Group:		System/Kernel and hardware
Requires(post):		dkms
Requires(preun):		dkms
Requires:	gcc-c++

%description -n dkms-%{name}
unicorn Architecture support for Linux kernel %{kernel_version}

%prep
%setup -q -n %{name}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

pushd adsl_status
%configure
popd

%build
%make -C adsl_status

%install
rm -rf $RPM_BUILD_ROOT
# utils 
%make -C adsl_status DESTDIR="$RPM_BUILD_ROOT" install
%find_lang bewan_adsl_status

# driver source
mkdir -p $RPM_BUILD_ROOT/%{_usr}/src/%{name}-%{version}-%{release}
cp -r * $RPM_BUILD_ROOT/%{_usr}/src/%{name}-%{version}-%{release}
cp %{SOURCE1} $RPM_BUILD_ROOT/%{_usr}/src/%{name}-%{version}-%{release}/patches/
cat > $RPM_BUILD_ROOT/%{_usr}/src/%{name}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_NAME=%{name}
PACKAGE_VERSION=%{version}-%{release}

DEST_MODULE_LOCATION[0]=/kernel/drivers/net
DEST_MODULE_LOCATION[1]=/kernel/drivers/net
DEST_MODULE_LOCATION[2]=/kernel/drivers/usb/net
DEST_MODULE_LOCATION[3]=/kernel/drivers/usb/net
BUILT_MODULE_NAME[0]=unicorn_pci_atm
BUILT_MODULE_LOCATION[0]=unicorn_pci
BUILT_MODULE_NAME[1]=unicorn_pci_eth
BUILT_MODULE_LOCATION[1]=unicorn_pci
BUILT_MODULE_NAME[2]=unicorn_usb_atm
BUILT_MODULE_LOCATION[2]=unicorn_usb
BUILT_MODULE_NAME[3]=unicorn_usb_eth
BUILT_MODULE_LOCATION[3]=unicorn_usb
MAKE[0]="make KERNEL_SOURCES=\${kernel_source_dir} modules"
CLEAN="make clean"

PATCH[0]=module_param.patch
PATCH_MATCH[0]="2.6.17.*"
PATCH[1]="dkms-unicorn-update-irq-flags.patch"
PATCH_MATCH[1]="^2\.6\.(2[4-9])|([3-9][0-9]+)|([1-9][0-9][0-9]+)"
PATCH[2]="dkms-unicorn-SET_MODULE_OWNER-removal.patch"
PATCH_MATCH[2]="^2\.6\.(2[4-9])|([3-9][0-9]+)|([1-9][0-9][0-9]+)"
PATCH[3]="dkms-unicorn-urb-lock-removal.patch"
PATCH_MATCH[3]="^2\.6\.(2[4-9])|([3-9][0-9]+)|([1-9][0-9][0-9]+)"
PATCH[4]="dkms-unicorn-update-int-handler-definition.patch"
PATCH_MATCH[4]="^2\.6\.(19)|([2-9][0-9]+)|([1-9][0-9][0-9]+)"

AUTOINSTALL=yes
EOF

for p in %{_sourcedir}/dkms-unicorn-update-irq-flags.patch \
         %{_sourcedir}/dkms-unicorn-SET_MODULE_OWNER-removal.patch \
         %{_sourcedir}/dkms-unicorn-urb-lock-removal.patch \
         %{_sourcedir}/dkms-unicorn-update-int-handler-definition.patch;
do
	cp $p $RPM_BUILD_ROOT/%{_usrsrc}/unicorn-%{version}-%{release}/patches
done

%post -n dkms-%{name}
/usr/sbin/dkms --rpm_safe_upgrade add -m %name -v %version-%release
/usr/sbin/dkms --rpm_safe_upgrade build -m %name -v %version-%release
/usr/sbin/dkms --rpm_safe_upgrade install -m %name -v %version-%release
exit 0

%preun -n dkms-%{name}
/usr/sbin/dkms --rpm_safe_upgrade remove -m %name -v %version-%release --all
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%files -f bewan_adsl_status.lang
%defattr(-,root,root)
%doc COPYING COPYING.GPL README
%{_bindir}/*
%{_datadir}/bewan_adsl_status/pixmaps/*

%files -n dkms-%{name}
%defattr(-,root,root)
%doc %{_docdir}/*/*
%dir %{_usr}/src/%{name}-%{version}-%{release}
%{_usr}/src/%{name}-%{version}-%{release}/*



%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.3-8mdv2009.0
+ Revision: 241600
- rebuild

* Sat Mar 22 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.9.3-7mdv2008.1
+ Revision: 189462
- Fix build/misc issues with kernels up to 2.6.24 with following
  patches:
  dkms-unicorn-update-int-handler-definition.patch
  dkms-unicorn-SET_MODULE_OWNER-removal.patch
  dkms-unicorn-urb-lock-removal.patch
  dkms-unicorn-update-irq-flags.patch
- Don't make patch backups that end in unicorn dir in /usr/src
- Use release on dkms dir, to allow safe updates.
- Disable shell debug in post/preun.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 0.9.3-6mdv2008.0
+ Revision: 94537
- rebuild for kmod provides

  + Pascal Terjan <pterjan@mandriva.org>
    - Get patches from openmamba and write one, so that the driver builds
    - Build with new docdir scheme


* Sun Apr 01 2007 Olivier Blin <oblin@mandriva.com> 0.9.3-4mdv2007.1
+ Revision: 150137
- use find_lang macro

* Fri Mar 30 2007 Olivier Blin <oblin@mandriva.com> 0.9.3-3mdv2007.1
+ Revision: 149923
- do not try to run set_cpus_allowed(), it is a GPL symbol that is not exported for proprietary code (and it is probably not correct)

* Fri Mar 30 2007 Olivier Blin <oblin@mandriva.com> 0.9.3-2mdv2007.1
+ Revision: 149669
- fix clean rule so that static libs are not removed
- make the dkms package require g++
- remove obsolete requires
- remove hardcoded packager and prefix tag
- fix prereq usage
- Import unicorn

* Tue Aug 15 2006 Arnaud Patard <apatard@mandriva.com> 0.9.3-1mdv2007
- New version

* Tue Sep 06 2005 Arnaud Patard <apatard@mandriva.com> 0.9.2-1mdk
- New version

* Thu Mar 24 2005 Arnaud Patard <apatard@mandrakesoft.com> 0.9.0-3mdk
- Corrected the build-fix for 2.6.11

* Fri Mar 11 2005 Arnaud Patard <apatard@mandrakesoft.com> 0.9.0-2mdk
- Make it compile on 2.6.11

* Thu Jan 06 2005 Arnaud Patard <apatard@mandrakesoft.com> 0.9.0-1mdk
- new version

* Wed Sep 15 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.8.7-3mdk
- dkms support.

* Tue Jun 22 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.8.7-2mdk
- remove fno-gnu-linker gcc option from CFLAGS (deprecated).

* Thu Apr 01 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.8.7-1mdk
- bump to 0.8.7 version.

